# SPDX-License-Identifier: GPL-2.0-or-later
set(ui_SRC
	builder-utils.cpp
	clipboard.cpp
	contextmenu.cpp
	cursor-utils.cpp
	dialog-events.cpp
	draw-anchor.cpp
	drag-and-drop.cpp
	icon-loader.cpp
	interface.cpp
	monitor.cpp
	previewholder.cpp
	selected-color.cpp
	shape-editor.cpp
	shape-editor-knotholders.cpp
	simple-pref-pusher.cpp
	shortcuts.cpp
	svg-renderer.cpp
	themes.cpp
	tool-factory.cpp
	util.cpp
	uxmanager.cpp
	modifiers.cpp

	cache/svg_preview_cache.cpp

        desktop/document-check.cpp
	desktop/menubar.cpp
	desktop/menu-icon-shift.cpp

	knot/knot.cpp
	knot/knot-holder.cpp
	knot/knot-holder-entity.cpp
	knot/knot-ptr.cpp

	tool/control-point-selection.cpp
	tool/control-point.cpp
	tool/curve-drag-point.cpp
	tool/event-utils.cpp
	tool/modifier-tracker.cpp
	tool/multi-path-manipulator.cpp
	tool/node.cpp
	tool/path-manipulator.cpp
	tool/selectable-control-point.cpp
	tool/selector.cpp
	tool/transform-handle-set.cpp

	toolbar/arc-toolbar.cpp
	toolbar/box3d-toolbar.cpp
	toolbar/calligraphy-toolbar.cpp
	toolbar/connector-toolbar.cpp
	toolbar/dropper-toolbar.cpp
	toolbar/marker-toolbar.cpp
	toolbar/eraser-toolbar.cpp
	toolbar/gradient-toolbar.cpp
	toolbar/lpe-toolbar.cpp
	toolbar/measure-toolbar.cpp
	toolbar/mesh-toolbar.cpp
	toolbar/node-toolbar.cpp
	toolbar/page-toolbar.cpp
	toolbar/paintbucket-toolbar.cpp
	toolbar/pencil-toolbar.cpp
	toolbar/rect-toolbar.cpp
	toolbar/select-toolbar.cpp
	toolbar/spiral-toolbar.cpp
	toolbar/spray-toolbar.cpp
	toolbar/star-toolbar.cpp
	toolbar/text-toolbar.cpp
	toolbar/toolbar.cpp
	toolbar/tweak-toolbar.cpp
	toolbar/zoom-toolbar.cpp

	tools/arc-tool.cpp
	tools/box3d-tool.cpp
	tools/calligraphic-tool.cpp
	tools/connector-tool.cpp
	tools/dropper-tool.cpp
	tools/dynamic-base.cpp
	tools/eraser-tool.cpp
	tools/flood-tool.cpp
	tools/freehand-base.cpp
	tools/gradient-tool.cpp
	tools/lpe-tool.cpp
	tools/measure-tool.cpp
	tools/mesh-tool.cpp
	tools/node-tool.cpp
	tools/pages-tool.cpp
	tools/pencil-tool.cpp
	tools/pen-tool.cpp
	tools/rect-tool.cpp
	tools/marker-tool.cpp
	tools/select-tool.cpp
	tools/spiral-tool.cpp
	tools/spray-tool.cpp
	tools/star-tool.cpp
	tools/text-tool.cpp
	tools/tool-base.cpp
	tools/tweak-tool.cpp
	tools/zoom-tool.cpp

	dialog/about.cpp
	dialog/align-and-distribute.cpp
	dialog/calligraphic-profile-rename.cpp
	dialog/clonetiler.cpp
	dialog/color-item.cpp
	dialog/command-palette.cpp
	dialog/attrdialog.cpp
	dialog/debug.cpp
	dialog/dialog-base.cpp
	dialog/dialog-container.cpp
	dialog/dialog-manager.cpp
	dialog/dialog-multipaned.cpp
	dialog/dialog-notebook.cpp
	dialog/dialog-window.cpp
	dialog/document-properties.cpp
	dialog/export.cpp
	dialog/export-batch.cpp
	dialog/export-single.cpp
	dialog/filedialog.cpp
	dialog/filedialogimpl-gtkmm.cpp
	dialog/fill-and-stroke.cpp
	dialog/filter-effects-dialog.cpp
	dialog/find.cpp
	dialog/font-substitution.cpp
	dialog/glyphs.cpp
	dialog/grid-arrange-tab.cpp
	dialog/guides.cpp
	dialog/icon-preview.cpp
	dialog/inkscape-preferences.cpp
	dialog/input.cpp
	dialog/knot-properties.cpp
	dialog/layer-properties.cpp
	dialog/livepatheffect-add.cpp
	dialog/livepatheffect-editor.cpp
	dialog/lpe-fillet-chamfer-properties.cpp
	dialog/lpe-powerstroke-properties.cpp
	dialog/memory.cpp
	dialog/messages.cpp
	dialog/new-from-template.cpp
	dialog/object-attributes.cpp
	dialog/object-properties.cpp
	dialog/objects.cpp
	dialog/polar-arrange-tab.cpp
	dialog/print.cpp
	dialog/prototype.cpp
	dialog/selectorsdialog.cpp
	dialog/startup.cpp
	dialog/styledialog.cpp
	dialog/svg-fonts-dialog.cpp
	dialog/svg-preview.cpp
	dialog/swatches.cpp
	dialog/symbols.cpp
	dialog/paint-servers.cpp
	dialog/template-load-tab.cpp
	dialog/template-widget.cpp
	dialog/text-edit.cpp
	dialog/tile.cpp
	dialog/tracedialog.cpp
	dialog/transformation.cpp
	dialog/undo-history.cpp
	dialog/xml-tree.cpp
	dialog/save-template-dialog.cpp

	widget/iconrenderer.cpp
	widget/alignment-selector.cpp
	widget/anchor-selector.cpp
	widget/canvas.cpp
	widget/canvas-grid.cpp
	widget/color-entry.cpp
	widget/color-icc-selector.cpp
	widget/color-notebook.cpp
	widget/color-palette.cpp
	widget/color-picker.cpp
	widget/color-preview.cpp	icon-loader.cpp
	widget/color-scales.cpp
	widget/color-slider.cpp
	widget/combo-box-entry-tool-item.cpp
	widget/combo-tool-item.cpp
	widget/dash-selector.cpp
	widget/entity-entry.cpp
	widget/entry.cpp
	widget/export-lists.cpp
	widget/export-preview.cpp
	widget/filter-effect-chooser.cpp
	widget/fill-style.cpp
	widget/font-button.cpp
	widget/font-selector.cpp
	widget/font-selector-toolbar.cpp
	widget/font-variants.cpp
	widget/font-variations.cpp
	widget/frame.cpp
	widget/framecheck.cpp
	widget/gradient-image.cpp
	widget/gradient-editor.cpp
	widget/gradient-selector.cpp
	widget/gradient-vector-selector.cpp
	widget/gradient-with-stops.cpp
	widget/imagetoggler.cpp
	widget/ink-color-wheel.cpp
	widget/ink-flow-box.cpp
	widget/ink-ruler.cpp
	widget/ink-spinscale.cpp
	widget/label-tool-item.cpp
	widget/labelled.cpp
	widget/layer-selector.cpp
	widget/licensor.cpp
	widget/marker-combo-box.cpp
	widget/notebook-page.cpp
	widget/object-composite-settings.cpp
	widget/page-properties.cpp
	widget/page-size-preview.cpp
	widget/page-selector.cpp
	widget/paint-selector.cpp
	widget/point.cpp
	widget/preferences-widget.cpp
	widget/preview.cpp
	widget/random.cpp
	widget/registered-widget.cpp
	widget/registry.cpp
	widget/rendering-options.cpp
	widget/rotateable.cpp
	widget/scalar-unit.cpp
	widget/scalar.cpp
	widget/scroll-utils.cpp
	widget/selected-style.cpp
	widget/shapeicon.cpp
	widget/spin-button-tool-item.cpp
	widget/spin-scale.cpp
	widget/spinbutton.cpp
	widget/stroke-style.cpp
	widget/style-subject.cpp
	widget/style-swatch.cpp
	widget/swatch-selector.cpp
	widget/text.cpp
	widget/tolerance-slider.cpp
	widget/unit-menu.cpp
	widget/unit-tracker.cpp

	view/svg-view-widget.cpp
	view/view.cpp
	view/view-widget.cpp


	# -------
	# Headers
	builder-utils.h
	clipboard.h
	contextmenu.h
	cursor-utils.h
	control-types.h
	dialog-events.h
	drag-and-drop.h
	draw-anchor.h
	event-debug.h
	icon-names.h
	icon-loader.h
	interface.h
	monitor.h
	previewable.h
	previewholder.h
	selected-color.h
	shape-editor.h
	simple-pref-pusher.h
	shortcuts.h
	themes.h
	tool-factory.h
	util.h
	uxmanager.h
	modifiers.h

	cache/svg_preview_cache.h

        desktop/document-check.h
	desktop/menubar.h
	desktop/menu-icon-shift.h

	dialog/about.h
	dialog/align-and-distribute.h
	dialog/arrange-tab.h
	dialog/calligraphic-profile-rename.h
	dialog/clonetiler.h
	dialog/color-item.h
	dialog/command-palette.h
	dialog/attrdialog.h
	dialog/debug.h
	dialog/dialog-base.h
	dialog/dialog-container.h
	dialog/dialog-data.h
	dialog/dialog-manager.h
	dialog/dialog-multipaned.h
	dialog/dialog-notebook.h
	dialog/dialog-window.h
	dialog/document-properties.h
	dialog/export.h
	dialog/export-batch.h
	dialog/export-single.h
	dialog/filedialog.h
	dialog/filedialogimpl-gtkmm.h
	dialog/filedialogimpl-win32.h
	dialog/fill-and-stroke.h
	dialog/filter-effects-dialog.h
	dialog/find.h
	dialog/font-substitution.h
	dialog/glyphs.h
	dialog/grid-arrange-tab.h
	dialog/guides.h
	dialog/icon-preview.h
	dialog/inkscape-preferences.h
	dialog/input.h
	dialog/knot-properties.h
	dialog/layer-properties.h
	dialog/livepatheffect-add.h
	dialog/livepatheffect-editor.h
	dialog/lpe-fillet-chamfer-properties.h
	dialog/lpe-powerstroke-properties.h
	dialog/memory.h
	dialog/messages.h
	dialog/new-from-template.h
	dialog/object-attributes.h
	dialog/object-properties.h
	dialog/objects.h
	dialog/polar-arrange-tab.h
	dialog/print.h
	dialog/prototype.h
	dialog/selectorsdialog.h
	dialog/startup.h
	dialog/styledialog.h
	dialog/svg-fonts-dialog.h
	dialog/svg-preview.h
	dialog/swatches.h
	dialog/symbols.h
	dialog/paint-servers.h
	dialog/template-load-tab.h
	dialog/template-widget.h
	dialog/text-edit.h
	dialog/tile.h
	dialog/tracedialog.h
	dialog/transformation.h
	dialog/undo-history.h
	dialog/xml-tree.h
	dialog/save-template-dialog.h

	knot/knot.h
	knot/knot-enums.h
	knot/knot-holder.h
	knot/knot-holder-entity.h
	knot/knot-ptr.h

	tool/commit-events.h
	tool/control-point-selection.h
	tool/control-point.h
	tool/curve-drag-point.h
	tool/event-utils.h
	tool/manipulator.h
	tool/modifier-tracker.h
	tool/multi-path-manipulator.h
	tool/node-types.h
	tool/node.h
	tool/path-manipulator.h
	tool/selectable-control-point.h
	tool/selector.h
	tool/shape-record.h
	tool/transform-handle-set.h

	toolbar/arc-toolbar.h
	toolbar/box3d-toolbar.h
	toolbar/calligraphy-toolbar.h
	toolbar/connector-toolbar.h
	toolbar/dropper-toolbar.h
	toolbar/marker-toolbar.h
	toolbar/eraser-toolbar.h
	toolbar/gradient-toolbar.h
	toolbar/lpe-toolbar.h
	toolbar/measure-toolbar.h
	toolbar/mesh-toolbar.h
	toolbar/node-toolbar.h
	toolbar/page-toolbar.h
	toolbar/paintbucket-toolbar.h
	toolbar/pencil-toolbar.h
	toolbar/rect-toolbar.h
	toolbar/select-toolbar.h
	toolbar/spiral-toolbar.h
	toolbar/spray-toolbar.h
	toolbar/star-toolbar.h
	toolbar/text-toolbar.h
	toolbar/toolbar.h
	toolbar/tweak-toolbar.h
	toolbar/zoom-toolbar.h

	tools/arc-tool.h
	tools/box3d-tool.h
	tools/calligraphic-tool.h
	tools/connector-tool.h
	tools/dropper-tool.h
	tools/dynamic-base.h
	tools/eraser-tool.h
	tools/flood-tool.h
	tools/freehand-base.h
	tools/gradient-tool.h
	tools/lpe-tool.h
	tools/measure-tool.h
	tools/mesh-tool.h
	tools/node-tool.h
	tools/pages-tool.h
	tools/pen-tool.h
	tools/pencil-tool.h
	tools/rect-tool.h
	tools/marker-tool.h
	tools/select-tool.h
	tools/spiral-tool.h
	tools/spray-tool.h
	tools/star-tool.h
	tools/text-tool.h
	tools/tool-base.h
	tools/tweak-tool.h
	tools/zoom-tool.h

	widget/iconrenderer.h
	widget/alignment-selector.h
	widget/anchor-selector.h
	widget/attr-widget.h
	widget/canvas.h
	widget/canvas-grid.h
	widget/color-entry.h
	widget/color-icc-selector.h
	widget/color-notebook.h
	widget/color-palette.h
	widget/color-picker.h
	widget/color-preview.h
	widget/color-scales.h
	widget/color-slider.h
	widget/combo-enums.h
	widget/combo-box-entry-tool-item.h
	widget/combo-tool-item.h
	widget/dash-selector.h
	widget/entity-entry.h
	widget/entry.h
	widget/export-lists.h
	widget/export-preview.h
	widget/fill-style.h
	widget/filter-effect-chooser.h
	widget/font-button.h
	widget/font-selector.h
	widget/font-selector-toolbar.h
	widget/font-variants.h
	widget/font-variations.h
	widget/frame.h
	widget/framecheck.h
	widget/gradient-image.h
	widget/gradient-editor.h
	widget/gradient-selector.h
	widget/gradient-vector-selector.h
	widget/gradient-with-stops.h
	widget/imagetoggler.h
	widget/ink-color-wheel.h
	widget/ink-flow-box.h
	widget/ink-ruler.h
	widget/ink-spinscale.h
	widget/label-tool-item.h
	widget/labelled.h
	widget/layer-selector.h
	widget/licensor.h
	widget/marker-combo-box.h
	widget/notebook-page.h
	widget/object-composite-settings.h
	widget/page-selector.h
	widget/paint-selector.h
	widget/point.h
	widget/preferences-widget.h
	widget/preview.h
	widget/random.h
	widget/registered-enums.h
	widget/registered-widget.h
	widget/registry.h
	widget/rendering-options.h
	widget/rotateable.h
	widget/scalar-unit.h
	widget/scalar.h
	widget/scroll-utils.h
	widget/scrollprotected.h
	widget/selected-style.h
	widget/shapeicon.h
	widget/spin-button-tool-item.h
	widget/spin-scale.h
	widget/spinbutton.h
	widget/stroke-style.h
	widget/style-subject.h
	widget/style-swatch.h
	widget/swatch-selector.h
	widget/text.h
	widget/tolerance-slider.h
	widget/unit-menu.h
	widget/unit-tracker.h

	view/svg-view-widget.h
	view/view.h
	view/view-widget.h
)

if(WIN32)
	list(APPEND ui_SRC
		dialog/filedialogimpl-win32.cpp
	)
endif()

add_inkscape_source("${ui_SRC}")

set ( ui_spellcheck_SRC
	dialog/spellcheck.cpp
	dialog/spellcheck.h
)

if ("${WITH_GSPELL}")
	add_inkscape_source("${ui_spellcheck_SRC}")
endif()
